LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XInvocationAdapterFactory2 Interface Referencepublished

Interface to create adapter objects giving types to be supported and a an invocation interface incoming calls are delegated to. More...

`import"XInvocationAdapterFactory2.idl";`

Inheritance diagram for XInvocationAdapterFactory2:

## Public Member Functions
com::sun::star::uno::XInterface | createAdapter ([in] XInvocation Invocation, [in] sequence< type > aTypes)
| Creates an adapter interface of given types for calling the given XInvocation interface. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to create adapter objects giving types to be supported and a an invocation interface incoming calls are delegated to.

## Member Function Documentation

## ◆ createAdapter()

com::sun::star::uno::XInterface createAdapter | ( | [in] XInvocation | Invocation,
|  | [in] sequence< type > | aTypes
| ) |  |

Creates an adapter interface of given types for calling the given XInvocation interface.

Parameters

  Invocation | invocation interface being called on incoming adapter calls
  aTypes | supported types of adapter

Returns
  adapter interface; this interface can be queried for XInterface and given types

The documentation for this interface was generated from the following file:

- com/sun/star/script/XInvocationAdapterFactory2.idl